%define major 3
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	A library to speed up freedesktop.org application menus
Name:		menu-cache
Version:	1.0.2
Release:	2
License:	GPLv2+
Group:		Graphical desktop/LXQt
Url:		https://github.com/lxde/menu-cache
Source0:	https://github.com/lxde/menu-cache/archive/%{name}-%{version}.tar.xz
Patch0:		menu-cache-1.0.2-monitor-subdirectories.patch
Patch1:		menu-cache-1.0.2-fix-daemonization.patch
Patch2:		menu-cache-1.0.2-reduce-inactivity-timer.patch
Patch3:		menu-cache-1.0.2-multiple-daemons.patch
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libfm-extra)

%description
Libmenu-cache is a library creating and utilizing caches to speed up
freedesktop.org application menus.
It can be used as a replacement of libgnome-menu of gnome-menus.

Advantages:
1. Faster loading of menus.
2. Ease of use. (API is very similar to that of libgnome-menu)
3. Lightweight runtime library. (Parsing of the menu definition files
   are done by menu-cache-gen when the menus are really changed.)
4. Less unnecessary and complicated file monitoring.
5. Greatly reduced disk I/O.

%files
%{_libexecdir}/menu-cache*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries
Requires:	%{name} >= %{EVRD}

%description -n %{libname}
This package contains shared library for %{name}.

%files -n %{libname}
%{_libdir}/libmenu-cache.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Contains development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains development files for %{name}.

%files -n %{devname}
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
autoreconf -fi
%configure2_5x \
	--disable-static \
	--without-gtk
%make

%install
%makeinstall_std

%changelog

* Fri Oct 13 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0.2-2
- (73dfdb5) Backport upstream patches to fix multiple daemons issue


